<template>
    <div style="margin: 10px 20px">
        <v-form>
            <h5> Search for </h5>
            <v-container>
                <v-text-field
                    v-model="tvShowName"
                    label="please enter the name of tv show here"
                    clearable
                    prepend-inner-icon="mdi-play-box-outline"
                />
            </v-container>
        </v-form>
        <v-btn @click="searchTvShow(tvShowName)">
            <a>Search</a>
        </v-btn>
    </div>
</template>

<script>

import { mapActions, mapState } from 'vuex';

export default {
    name: 'TvShowSearch',
    data() {
        return {
            tvShowName: '',
            isLoading: false,
        };
    },
    computed: {
        ...mapState(['tvShows']),
    },
    methods: {
        ...mapActions(['findTvShow']),
        searchTvShow(showName) {
            if (showName === '') {
                return;
            }
            this.findTvShow(showName);
            this.tvShowName = '';
          this.$router.push({path: `/shows/${showName}`});
        },
    },
};
</script>

<style scoped lang="scss" type="text/scss">

</style>
